#

%define nm_version 1.0.4
%define pptp 1
%define openswan 0
%define openvn 1
%define vpnc 1
%define openconnect 1
%define l2tp 1
%define strongswan 0


Name:           plasma-nm
Summary:        Plasma 5 applet written in QML for managing network connections
Version:        5.27.11
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2 and LGPLv2+
URL:            https://www.kde.org/workspaces/plasmadesktop/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Upstream patches (100-200)

BuildRequires:  pkgconfig(libnm) >= %nm_version
BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(mobile-broadband-provider-info)
BuildRequires:  pkgconfig(qca2-qt5)

BuildRequires:  kf5-macros

BuildRequires:  ki18n-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kservice-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kio-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kwallet-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  solid-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  knotifications-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kinit-devel

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5UiTools)

%if %openconnect
BuildRequires:  pkgconfig(openconnect) >= 3.99
%endif

%rename plasma5-nm

%description
Plasma 5 applet written in QML for managing network connections.

#--------------------------------------------------------------------

%package -n plasma-applet-nm
Summary:        NetworkManager Plasma 5 applet
Group:          Graphical desktop/KDE5
Requires:       networkmanager >= %nm_version
Requires:       kirigami2
Requires:       lib64kf5prison5
Requires:       qca2-qt5


%description -n plasma-applet-nm
Network Management Plasma 5 applet for controlling network
connections on systems that use the NetworkManager service.


%files -n plasma-applet-nm -f %name.lang
%_kf5_libdir/libplasmanm_editor.so
%_kf5_libdir/libplasmanm_internal.so
%_kf5_qmldir/org/kde/plasma/networkmanagement
%_kf5_plugindir/kded/networkmanagement.so
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.networkmanagement
%_kf5_datadir/kcm_networkmanagement/
%_kf5_knotificationsdir/networkmanagement.notifyrc
%_kf5_metainfodir/org.kde.plasma.networkmanagement.appdata.xml
%{_libdir}/qt5/plugins/plasma/network/vpn/
 %{_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_*
 /usr/share/qlogging-categories5/plasma-nm.categories
 /usr/lib64/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_networkmanagement.so
 /usr/share/applications/kcm_networkmanagement.desktop

#--------------------------------------------------------------------

%if %{openvn}
%package  -n plasma-applet-nm-openvpn
Summary:        OpenVPN plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openvpn


%description -n plasma-applet-nm-openvpn
OpenVPN plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-openvpn -f plasmanetworkmanagement_openvpnui.lang
%endif

#--------------------------------------------------------------------

%if %{l2tp}

%package -n plasma-applet-nm-l2tp
Summary:        L2tp plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-l2tp



%description -n plasma-applet-nm-l2tp
L2tp plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-l2tp  -f plasmanetworkmanagement_l2tpui.lang
%endif

#--------------------------------------------------------------------

%if %{pptp}

%package -n plasma-applet-nm-pptp
Summary:        Pptp plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-pptp


%description -n plasma-applet-nm-pptp
Pptp plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-pptp -f plasmanetworkmanagement_pptpui.lang
%endif

#--------------------------------------------------------------------

%if %{openswan}

%package -n plasma-applet-nm-openswan
Summary:        OpenSwan plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openswan

%description -n plasma-applet-nm-openswan
OpenSwan plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-openswan -f plasmanetworkmanagement_openswanui.lang
%endif

#--------------------------------------------------------------------

%if %{strongswan}

%package -n plasma-applet-nm-strongswan
Summary:        Strongswanui plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-strongswan


%description -n plasma-applet-nm-strongswan
Strongswanui plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-strongswan -f plasmanetworkmanagement_strongswanui.lang
%endif

#--------------------------------------------------------------------

%if %{vpnc}

%package -n plasma-applet-nm-vpnc
Summary:        Vpnc plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-vpnc


%description -n plasma-applet-nm-vpnc
Vpnc plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-vpnc  -f plasmanetworkmanagement_vpncui.lang
%endif

#-------------------------------------------------------------------

%if %{openconnect}
%package -n plasma-applet-nm-openconnect
Summary:        Openconnect plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openconnect



%description -n plasma-applet-nm-openconnect
Openconnect plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-openconnect -f plasmanetworkmanagement_openconnectui.lang
%endif

#-------------------------------------------------------------------

%package -n plasma-applet-nm-ssh
Summary:        SSH plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openconnect

%description -n plasma-applet-nm-ssh
SSH plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-ssh -f plasma-applet-nm-ssh.lang

#--------------------------------------------------------------------

%package -n plasma-applet-nm-fortisslvpnui
Summary:        Fortigate SSL VPN plugin for Plasma 5 NetworkManager
Group:          Graphical desktop/KDE5
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openconnect

%description -n plasma-applet-nm-fortisslvpnui
Fortigate SSL VPN plugin for Plasma 5 NetworkManager.

%files -n plasma-applet-nm-fortisslvpnui -f plasmanetworkmanagement_fortisslvpnui.lang
#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%if ! %{l2tp}
rm %{buildroot}%{_qt5_plugindir}/libplasmanetworkmanagement_l2tpui.so
rm %{buildroot}%{_kf5_services}/plasmanetworkmanagement_l2tpui.desktop
rm %{buildroot}%{_kf5_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_l2tpui.mo
%endif

%if ! %{openswan}
%endif

%if ! %{strongswan}
%endif

rm -f %{name}.lang
touch %{name}.lang
for n in \
    plasma_applet_org.kde.plasma.networkmanagement \
    plasmanetworkmanagement-kded \
    plasmanetworkmanagement-libs \
    plasmanetworkmanagement-kcm \
    plasmanetworkmanagement_iodineui \
    kcm_mobile_broadband \
    kcm_mobile_hotspot \
    kcm_mobile_wifi
do
  %find_lang $n
  cat ${n}.lang >>%{name}.lang
  rm -f ${n}.lang
done
%find_lang plasmanetworkmanagement_l2tpui
%find_lang plasmanetworkmanagement_openconnectui
%find_lang plasmanetworkmanagement_vpncui
%if %{strongswan}
%find_lang plasmanetworkmanagement_strongswanui
%endif
%find_lang plasmanetworkmanagement_pptpui
%find_lang plasmanetworkmanagement_openvpnui
%if %{openswan}
%find_lang plasmanetworkmanagement_openswanui
%endif
rm -f plasma-applet-nm-ssh.lang
touch plasma-applet-nm-ssh.lang
for n in \
    plasmanetworkmanagement_sshui \
    plasmanetworkmanagement_sstpui
do
  %find_lang  $n
  cat ${n}.lang >>plasma-applet-nm-ssh.lang
  rm -f ${n}.lang
done

%find_lang plasmanetworkmanagement_fortisslvpnui


%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

